# Update the Merchant Address

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/product/address/update?access_token=xxxxxxxxx

# Example of request parameters

{
    "address_detail":{
        "address_id": "12345",
        "address_info":{
            "user_name":"xasdss",
            "postal_code":"510983",
            "province_name":"广东省",
            "city_name":"广州市",
            "county_name":"天河区",
            "detail_info":"广州市天河区人民政府",
            "tel_number":"18829736648",
            "lat":23.12463,
            "lng":113.36199,
            "house_number":"12"
        },
        "landline":"",
        "remark":"",
        "send_addr":0,
        "default_send":1,
        "recv_addr":0,
        "default_recv":1,
        "address_type":{
            "same_city":0,
            "pickup":0
        }
    }
}

# Examples of back-up

{
    "errcode" : 0,
    "errcode" : ""
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
address_detail.address_id number yes Address ID
address_detail.landline string no Landline
address_detail.remark string no Remarks
address_detail.send_addr number no Is this the shipping address (1 Yes 0 No)
address_detail.default_send number no Is this the default shipping address (1 Yes 0 No)
address_detail.recv_addr number no Is this the shipping address (1 Yes 0 No)
address_detail.default_recv number no Is this the default shipping address (1 Yes 0 No)
address_detail.address_type.same_city number no Is this a same-town delivery address (1 yes 0 no)
address_detail.address_type.pickup number no Is this an offline pick-up address (1 yes 0 no)
address_detail.address_info.user_name string yes Contact Name
address_detail.address_info.postal_code string no postal code
address_detail.address_info.province_name string yes National standards shipping addresses First level addresses
address_detail.address_info.city_name string yes National Standard Shipping Address Level 2 Address
address_detail.address_info.county_name string yes National Standard Shipping Address Level 3 Address
address_detail.address_info.detail_info string yes Detailed address
address_detail.address_info.national_code string no Shipping Address Country Code
address_detail.address_info.tel_number string no The consignee's mobile phone number
address_detail.address_info.lat double no longitude
address_detail.address_info.lng double no latitude
address_detail.address_info.house_number string no House number

# Dxplaination of callback parameters

参数 type Introductions
errcode string Error code
errmsg string Error message

# Return code

返回码 Error Type
-1 System exceptions
-2 Token too long
600001 Missing Address ID